footer {
	font-family: var(--font-family-inter-regular);
	font-size: 20px;
	line-height: 28px;
	background-color: var(--color-white);
}

.footer-desktop,
.footer-tablet,
.footer-mobil,
.footer-link-bar {
	padding-left: var(--page-margin);
	padding-right: var(--page-margin);
}

footer .icon {
	vertical-align: middle;
	width: 20px;
}

footer .footer-text-box {
	padding-top: 15px;
}
footer .footer-text-box .footer-text-headline {
	font-size: 16px;
	font-family: var(--font-family-inter-bold);
	line-height: 20px;
}

footer address {
	font-style: normal;
}

footer li {
	display: inline-block;
}

.footer-text-box-contact a {
	display: inline-block;
	width: 100%;
	text-decoration: none;
	color: var(--color-black);
}

.footer-grid {
	display: grid;
	grid-auto-columns: minmax(0, 1fr);
	grid-gap: 18px;
	grid-template-columns: 1fr 1fr 1fr 1fr;
	padding-top: 80px;
	padding-bottom: 80px;
}
.footer-logo-box {
	display: grid;
	grid-auto-columns: minmax(0, 1fr);
	grid-gap: 18px;
	grid-template-columns: 1fr;
}
.footer-logo-box-beside {
	display: flex;
}
.footer-logo-box-beside img {
	height: 82px;
	margin-right: 19px;
}
@media only screen and (max-width: 600px) {
	.footer-logo-box-beside img {
		height: 65px;
		width: auto;
		margin-right: 15px;
	}
}
.footer-link-bar {
	font-size: 16px;

	border-top: 1px solid lightgray;
	padding-top: 20px;
	padding-bottom: 20px;

	display: flex;
	justify-content: space-between;

	position: relative;
	line-height: 20px;
	height: 20px;
	box-sizing: content-box;
}
.footer-link-bar-wrapper {
	flex-grow: 1;
}
.footer-link-bar-wrapper ul {
	margin: 0;
	padding: 0;
}
.footer-link-bar-wrapper li a,
.footer-product-container li a {
	padding-right: 10px;
	border-right: 1px solid lightgray;
	padding-left: 6px;
	text-decoration: none;
	color: var(--color-black);
}
.footer-link-bar-wrapper li a:hover,
.footer-product-container li a:hover {
	color: var(--color-magenta);
}
.footer-link-bar-wrapper li:last-child a {
	border-right: 0;
}
.footer-link-bar-wrapper li:hover a {
	text-decoration: underline;
}

.footer-product-container ul {
	padding-left: 0;
}
.footer-product-container ul li {
	display: inline-block;
	width: 100%;
}
.footer-product-container li a {
	padding-left: 0;
	border: 0;
}

.footer-link-bar-follow {
	width: 305px;
	display: flex;
	justify-content: space-between;
	margin-right: 30px;
}

.footer-link-bar .footer-to-top-container {
	background-color: var(--color-black);
	color: var(--color-white);
	position: absolute;
	right: 0;
	top: 0;
	width: 60px;
	aspect-ratio: 1 / 1;
	display: flex;
	justify-content: center;
	align-items: center;
	cursor: pointer;
}
.footer-link-bar .footer-to-top-container img {
	width: 30px;
}

@media only screen and (max-width: 1200px) {
	footer {
		font-size: 16px;
		line-height: 26px;
	}

	.footer-grid {
		grid-row-gap: 25px;
		grid-template-columns: 1fr 1fr;
	}

	.footer-link-bar-follow {
		width: 100%;
		margin-right: 110px;
	}
}
@media only screen and (max-width: 600px) {
	footer {
		position: relative;
	}
	.footer-link-bar {
		position: unset;
	}
	.footer-link-bar-follow {
		margin-right: unset;
	}
	.footer-link-bar .footer-to-top-container {
		top: -38px;
		width: 38px;
	}
	.footer-link-bar .footer-to-top-container img {
		width: 17px;
		height: auto;
	}
}

.footer-mobil details {
	border: 1px solid #e8e8e8;
	padding: 21px 21px;
	margin-bottom: 8px;

	position: relative;
}

.footer-mobil.minus {
	display: none;
}

.footer-mobil details[open] {
	padding-bottom: 28px;
}

.footer-mobil details[open] .plus {
	display: none;
}

.footer-mobil details[open] .minus {
	display: initial;
}

.footer-mobil details[open]summary {
	margin-bottom: 22px;
}

.footer-mobil h4,
.footer-mobil img {
	margin-bottom: 0px;
}

.footer-mobil {
	display: none;
}

.footer-mobil details > summary {
	list-style: none;
}

.footer-mobil details > summary::-webkit-details-marker {
	display: none;
}

@media only screen and (max-width: 900px) {
	.footer-mobil {
		display: block;
	}

	.footer-desktop {
		display: none;
	}
}

.logo-container {
	width: 150px;
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.logo-container a {
	height: 27.7px;
}

.footer-mobil details {
	border: 1px solid #e8e8e8;
	padding: 21px 21px;
	margin-bottom: 8px;

	position: relative;
}

.footer-mobil .plus,
.footer-mobil .minus {
	position: absolute;
	right: 22px;
	top: 19px;
}

.footer-mobil.minus {
	display: none;
}

.footer-mobil details[open] {
	padding-bottom: 28px;
}

.footer-mobil details[open] .plus {
	display: none;
}

.footer-mobil details[open] .minus {
	display: initial;
}

.footer-mobil details[open]summary {
	margin-bottom: 22px;
}

.footer-mobil h4,
.footer-mobil img {
	margin-bottom: 0px;
}

.footer-mobil details > summary {
	list-style: none;
	cursor: pointer;
}

.footer-mobil details > summary::-webkit-details-marker {
	display: none;
}

.footer-tablet {
	display: none;
}

.footer-mobil {
	display: none;
}

.footer-mobil .footer-logo-box {
	margin-bottom: 25px;
}

@media only screen and (max-width: 1200px) {
	.footer-tablet {
		display: grid;
		grid-auto-columns: minmax(0, 1fr);
		grid-gap: 18px;
		grid-template-columns: 1fr 1fr 1fr;
	}

	.footer-tablet p {
		margin-top: 5px;
		margin-bottom: 5px;
	}

	.footer-tablet ul {
		margin-top: 5px;
		margin-bottom: 5px;
	}

	.footer-desktop {
		display: none;
	}

	.footer-tablet,
	.footer-mobil {
		padding-top: 35px;
	}

	.footer-logo-left img {
		margin-bottom: -5px;
	}
	main > .wp-block-columns {
		display: grid !important;
		grid-template-columns: 1fr 1fr;
	}
}

@media only screen and (max-width: 900px) {
	.footer-mobil {
		display: block;
	}

	.footer-tablet {
		display: none;
	}
	main > .wp-block-columns {
		grid-template-columns: 1fr;
	}
}

@media only screen and (max-width: 600px) {
	.footer-mobil details summary img {
		width: 15px;
		height: 20px;
	}
	.footer-mobil .plus,
	.footer-mobil .minus {
		right: 26px;
		top: 24px;
	}
}

/*#region style for auto genererated menus */
.footer-mobil details[open] {
	padding-bottom: 21px;
}
.footer-mobil details p {
	margin: 0;
}
.footer-mobil details ul {
	display: flex;
	flex-direction: column;
	margin: 0;
	padding: 15px 10px 0 0;
	text-decoration: none;
}
.footer-mobil details ul a {
	color: var(--color-black) !important;
}
.footer-mobil details ul a:hover {
	color: var(--color-magenta) !important;
}
/*#endregion*/

/* #region Snapengage Chat */
#designstudio-button {
	display: none;
}
/*#endregion*/
